
# Import the PyQt5 module with some of the GUI widgets
import PyQt6.QtWidgets
# Import the QScintilla module
import PyQt6.Qsci
# Import Python's sys module needed to get the application arguments
import sys

# Create the main PyQt application object
application = PyQt6.QtWidgets.QApplication(sys.argv)

# Create a QScintila editor instance
editor = PyQt6.Qsci.QsciScintilla()

# Show the editor
editor.show()
with open("test.js", "r", encoding="utf-8") as f:
    text = f.read()
editor.setText(text)
print(len(text.split('\n')))
print(len(editor.text().split('\n')))

# Execute the application
application.exec()
